#!/usr/bin/python3

from openbabel import *
from ElectrostaticTools import *
import sys
import os.path
import argparse

parser = argparse.ArgumentParser(description='Prepares data.frame file with MEP.')
parser.add_argument('-M', '--molecule', required=True, help="Molecule file")
parser.add_argument('-G', '--grid', required=True, help="Grid file")
parser.add_argument('-O', '--output', required=True, help="Outfile")

args = parser.parse_args()

bohr = 0.52917721

grid = Grid()

mol = GeneralMultipoledMolecule()
mol.readMe(args.molecule)
grid.fromESP(args.grid)


n = grid.size()
for i in range (0, n):
    grid.modifyField(i, mol.MEP(grid.lattice(i)*bohr) - grid.field(i))

out = open(args.output, 'w')

out.write(grid.toEspString())
