#!/bin/bash

molname=${1}
gridname=${2}
picname=${3}
refname=${4}
modelname=${5}
errname=${6}
ref_cut=${7}
mod_cut=${8}
err_cut=${9}
xwidth=${10}

if [ $# -ne 10 ]; then
  echo "Usage: get_grid.sh <molname> <gridname> <picname_prefix> <ref_name> <model_name> <error_name> <max_ref> <max_model> <max_error> <pic_width>"
  exit 
fi

scripts/calc_mep.py -M ${molname} -G ${gridname} -O mep.esp

args=$(scripts/prepare_grid_plot.py -G ${gridname} mep.esp \
                        -M ${molname} -O grid_ref.txt grid_mep.txt grid_err.txt -C crds.txt)

sed "s|__plottitle__|${refname}|g" scripts/get_grid.R > scripts/get_grid.t.R
Rscript --vanilla scripts/get_grid.t.R grid_ref.txt crds.txt ${picname}.ref.${xwidth}.png ${ref_cut} ${xwidth} > /dev/null 2&>1
sed "s|__plottitle__|${modelname}|g" scripts/get_grid.R > scripts/get_grid.t.R
Rscript --vanilla scripts/get_grid.t.R grid_mep.txt crds.txt ${picname}.mep.${xwidth}.png ${mod_cut} ${xwidth} > /dev/null 2&>1
sed "s|__plottitle__|${errname}|g" scripts/get_grid.R > scripts/get_grid.t.R
Rscript --vanilla scripts/get_grid.t.R grid_err.txt crds.txt ${picname}.err.${xwidth}.png ${err_cut} ${xwidth} > /dev/null 2&>1

rm grid_err.txt grid_mep.txt grid_ref.txt mep.esp crds.txt scripts/get_grid.t.R

