#!/bin/sh

obabel -:"o1cccc1" -omol2 -O mol1.mol2 -h --gen3D
obabel -:"s1cccc1" -omol2 -O mol2.mol2 -h --gen3D
obabel -:"s1cncc1" -omol2 -O mol3.mol2 -h --gen3D
obabel -:"S(C)C"   -omol2 -O mol4.mol2 -h --gen3D
obabel -:"S(C)SC"  -omol2 -O mol5.mol2 -h --gen3D

cat > 4c5l.tinp << "EOF"
 $CONTRL
 SCFTYP=RHF ECP=NONE
 EXETYP=RUN RUNTYP=ENERGY COORD=UNIQUE ICHARG=0
 ICUT=20 ITOL=30 INTTYP=HONDO
 $END
 $SYSTEM mklnp=2 np=2 $END
 $SYSTEM MWORDS=250 $END
 $STATPT NSTEP=300 $END
 $GUESS  GUESS=HUCKEL $END
 $BASIS gbasis=n31 ngauss=6 ndfunc=1 $END
 $SCF dirscf=.t. NCONV=7  DIIS=.T.  SOSCF=.F. $END
 $ELPOT IEPOT=1 WHERE=PDC $END
 $PDC PTSEL=CONNOLLY LAYER=5 PTDENS=1.12 $END
 $ELMOM IEMOM=3 $END
EOF

for i in mol1 mol2 mol3 mol4 mol5
do
  babel -imol2 ${i}.mol2 -ogamin ${i}.tinp
  cp 4c5l.tinp ${i}.4c5l.inp
  tail -n +3 ${i}.tinp >> ${i}.4c5l.inp
done
