#!/usr/bin/perl -W
#
#	Write RESP (or whatever) derived charges into a HIN file.
#	Charges are taken from qout and are assign to atoms consequently
#	as they accur
#

sub usage(){
die <<ENDD
	Usage: $0 <hin_file> <qout>\n\n
ENDD
}

sub get_hin_cont;

usage() unless $#ARGV == 1;

my ($hin, $qout) = (shift, shift);
if(! -f $qout){
	die "qout file $qout doesn't exist\n";
}
open QOUT, "<$qout" or die "cannot open file $qout\n";

my @vals;

while(<QOUT>){
	s/^\s+//;
	s/\s+$//;
	my @str = split (/\s+/, $_);
	push @vals, @str;
}
close QOUT;


open HIN, "<$hin" or die "cannot open HIN file $hin: $!\n";

while(<HIN>){
	if (!/^atom/){
		print $_;
		next;
	}
	my @str = split(/\s+/, $_);
	my $chg = shift @vals;
	print join(" ", @str [0 .. 5]) . " $chg " . 
		join(" ", @str [7 .. scalar(@str)-1]) . "\n";
}
close HIN;


